package fitNesseFixture;

import project.User;
import exceptions.LoginInvalidException;
import exceptions.MailInvalidException;
import exceptions.PasswordInvalidException;
import exceptions.UsernameEmailEmptyException;
import project.Category;

public class UserFixture {

	private String username, password, email, ssn, title, startTime, endTime;
	private int category;
	private User u;
	private double price, bidIncrement;

	public UserFixture(String usernameInput, String mailInput, String passwordInput) {

		User u = new User(usernameInput, mailInput, passwordInput);

	}

	public String userLogin() {

		try {

			if (User.login(username, email, password)) {

				return "Login worked!";

			}

		} catch (UsernameEmailEmptyException e) {

			return e.getMessage();

		} catch (PasswordInvalidException e) {

			return e.getMessage();

		} catch (MailInvalidException e) {

			return e.getMessage();

		} catch (LoginInvalidException e) {

			return e.getMessage();

		}

		return null;

	}

	public boolean becomeSeller() {

		u = User.getInstance();
		return u.becomeSeller(ssn);

	}

	public boolean searchItem() {

		u = User.getInstance();
		return u.searchItem(title, Category.getCategory(category));

	}

	public boolean searchAuction() {

		u = User.getInstance();
		return u.searchAuction(startTime, endTime, price, bidIncrement, title, Category.getCategory(category));

	}

	public void setUsername(String username) {
		this.username = username;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public void setU(User u) {
		this.u = u;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public void setCategory(int category) {
		this.category = category;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public void setBidIncrement(double bidIncrement) {
		this.bidIncrement = bidIncrement;
	}

}
